using System;

internal sealed class Delegate39 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate39 delegate39_1)
	{
		delegate39_1(object_0);
	}

	public extern Delegate39(object object_0, IntPtr intptr_0);

	static Delegate39()
	{
		Class10.smethod_13(typeof(Delegate39).TypeHandle);
	}

	internal static Delegate39 delegate39_0;
}
